Bug 250246 - gtkmm24 doesn't build in rawhide
gtkmm24 doesn't build in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtkmm24 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 08:29 EDT by Oliver Falk
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 18:55:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-07-31 08:29:57 EDT
Tested both on alpha and i386, same result. Please have a look:

 g++ -DHAVE_CONFIG_H -DG_LOG_DOMAIN=\"gtkmm\" -I../../gtk -I../../gtk
-I../../pango -I../../pango -I../../atk -I../../atk -I../../gdk -I../../gdk
-I../../gtk -I../../gtk -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include
-I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/cairomm-1.0 -I/usr/include/cairo
-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/pango-1.0 -I/usr/include/gtk-unix-print-2.0 -pthread
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT toolitem.lo -MD
-MP -MF .deps/toolitem.Tpo -c toolitem.cc  -fPIC -DPIC -o .libs/toolitem.o
toolbar.cc: In member function 'Gtk::Tooltips*
Gtk::Toolbar::get_tooltips_object() const':
toolbar.cc:579: error: 'const struct _GtkToolbar' has no member named 'tooltips'
make[6]: *** [toolbar.lo] Error 1
make[6]: *** Waiting for unfinished jobs....
make[6]: Leaving directory
`/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/extras.public/gtkmm24/gtkmm-2.11.3/gtk/gtkmm'
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory
`/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/extras.public/gtkmm24/gtkmm-2.11.3/gtk/gtkmm'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory
`/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/extras.public/gtkmm24/gtkmm-2.11.3/gtk'
make[3]: *** [all] Error 2
make[3]: Leaving directory
`/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/extras.public/gtkmm24/gtkmm-2.11.3/gtk'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/extras.public/gtkmm24/gtkmm-2.11.3'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/extras.public/gtkmm24/gtkmm-2.11.3'
error: Bad exit status from /var/tmp/rpm-tmp.21781 (%build)
Comment 1 Oliver Falk 2007-07-31 09:49:17 EDT
Just downgraded to gtk-2.11.5. That seems to work....
Comment 2 Denis Leroy 2007-07-31 18:55:40 EDT
Just needed a glibmm24 and gtkmm24 update, which I just built. So it's now fixed
in rawhide, though i'm not sure if we still have a freeze...
Comment 3 Oliver Falk 2007-08-01 03:13:15 EDT
I cannot say if we're allowed to push it while frozen; However I >think< and
>believe< that even build-dependencies should be fixed before release... If some
pkg doesn't build against another that is in the tree, you never know how it
will do while running :-)

That's why I love the "rebuild everything" before release idea...
Comment 4 Denis Leroy 2007-08-01 03:53:22 EDT
> That's why I love the "rebuild everything" before release idea...

I like it, but *only* if it's automated :-)

I requested f8-test1 tags for the glibmm24 and gtkmm24 builds.

Comment 5 Oliver Falk 2007-08-01 04:01:20 EDT
Well of course only automated.... :-) Doing a rebuilt for about 4.5k pkgs is
quite heavy...
Comment 6 Oliver Falk 2007-08-01 04:27:57 EDT
Builds fine. Seems to work. I'll reopen if I encounter another problem. Thx.

Note You need to log in before you can comment on or make changes to this bug.